<?


if($_POST['to'] == 'online'){
$filter =  "AND `date_last`>'".(time()-600)."'";
}
else if($_POST['to'] == 'mod'){
$filter =  "AND `status`>'0'";
} else $filter = '';


if(isset($_POST['text']))
{
$text=$_POST['text'];
$q=mysql_querll("SELECT * FROM `kolhoz_user` WHERE `status` >= '0' AND `id` != '$ku[id]'");
if($_POST['type']==1)$type='Рассылка:';
elseif($_POST['type']==2)$type='Объявление:';
else $type='Новость:';
$msg="$type
$text";


$q=mysql_query("SELECT `id` FROM `kolhoz_user` WHERE `id` != $ku[id] $filter");
$from=$_POST['from'];

while($post=mysql_fetch_array($q))
{
mysql_querll("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id]', `id_kont` = '$ku[id]', `msg` = '".my_esc($msg)."', `time` = '$time', `type` = 'to'");
}
update_ku('time_support',($time+(0*3600)));
header("Location:?admin=rassilka");
$_SESSION['msg']='Ваше сообщение успешно отправлено.';
exit;
}
echo '<div class="event"><h1>Рассылка</h1></div>
<div class="content">
<div class="block">
<form method="post"><input type="hidden" name="mdp" value="">
Тип: 
<select name="type"><option selected="selected" value="1">Рассылка</option><option
value="2">Объявление</option><option
value="3">Новость</option></select>
<br/>Кому: <select name="to">
<option value="">Всем</option>
<option value="mod">Должностным лицам</option>
<option value="online">Тем кто онлайн</option>
</select><br/>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
<div style="font-size:0.6em">Данное сообщение будет отправлено всем жителям фермы.</div>
<input type="submit" value="Отправить">
</form>';
include_once 'inc/foot.php';
?>